cURL
curl --request POST \ --url https://api.smartlyq.com/v1/urls/shorten \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "url": "<string>", "custom_code": "<string>", "title": "<string>", "expires_at": "2023-11-07T05:31:56Z" } '
{ "success": true, "data": { "id": 123, "short_url": "<string>", "long_url": "<string>", "code": "<string>", "title": "<string>", "expires_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z" }, "usage": { "units": 123, "cost": "0.0150", "balance_remaining": "99.9850" }, "meta": { "request_id": "<string>", "timestamp": "2023-11-07T05:31:56Z" } }
Documentation IndexFetch the complete documentation index at: https://docs.smartlyq.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.smartlyq.com/llms.txt
Use this file to discover all available pages before exploring further.
API key from Developer dashboard (Bearer token).
The long URL to shorten
Custom short code (optional)
Display title for the link
Expiration date (ISO 8601)
Short URL created
true
Show child attributes